/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 * 
 * * Copyright (c) 2022 Giancarlo P.
 */

$ = jQuery.noConflict();


//dropdown depth
$(document).ready(function () {

  $('.dropdown-menu a.dropdown-toggle').on('click', function () {
    if (!$(this).next().hasClass('show')) {
      $(this).parents('.dropdown-menu').first().find('.show').removeClass("show");
    }
    return false;
  });
});

// anima campo ricerca
$(".bi.bi-search").click(function () {
  
  $(".search-desktop-front").animate({
    width: 'toggle',
    display: 'block'
  });
});

//addClass active
jQuery(function ($) {
  var path = window.location.href;
  $('#navbar_top li a').each(function () {
    if (this.href === path) {
      $(this).addClass('attiva');
    }
  });
});


// overlay hide show 
function on() {
  document.getElementById("overly").style.display = "block";

}

function off() {
  document.getElementById("overly").style.display = "none";
}

//scrollTop nav
$(document).ready(function () {
  $(window).scroll(function () {
    if ($(window).scrollTop() > 50) {
      $("#navbar_top").addClass("fixed-top");
    } else {
      $("#navbar_top").removeClass("fixed-top");
    }
  });
});
//scrollTop anima text
$(document).ready(function () {
  $(window).scroll(function () {
    if ($(window).scrollTop() > 100) {
      $(".avviso-fronted").addClass("test-div");
    } else {
      $(".avviso-fronted").removeClass("test-div");
    }
  });
});
//scrollTop anima columm div
$(document).ready(function () {
  $(window).scroll(function () {
    if ($(window).scrollTop() > 100) {
      $(".div-businessTag-style").addClass("col-div-style");
    } else {
      $(".div-businessTag-style").removeClass("col-div-style");
    }
  });
});
// contatore customizer range
(function ($) {
  $(document).ready(function ($) {
    $('input[data-input-type]').on('input change', function () {
      var val = $(this).val();
      $(this).prev('.prov-altr-range-value').html(val);
      $(this).val(val);
    });
  })
})(jQuery);