/**
 * File script-prewie wp customizer
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

(function ($) {
    wp.customize('blogname', function (value) {
      value.bind(function (newval) {
        $('.blog-info-title h1').html(newval);
      });
    });
    wp.customize('blogdescription', function (value) {
      value.bind(function (newval) {
        $('.blog-info-desc p').html(newval);
      });
    });
    wp.customize('countpixel', function (value) {
      value.bind(function (newval) {
        $('.containerone').css('height', newval);
      });
    });
    wp.customize('countpixel_pagine', function (value) {
      value.bind(function (newval) {
        $('.containerone-medio').css('height', newval);
      });
    });
    wp.customize('numberpixel_uno', function (value) {
      value.bind(function (to) {
        $('.blog-info-title h1').css('font-size', +to);
      });
    });
  
  })(jQuery);