<?php 
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package palmiword
 */

get_template_part('template-parts/header-nomage', 'page');?>
<div class="row miglioradai justify-content-md-center">
	<nav style="--bs-breadcrumb-divider: '->';" aria-label="breadcrumb">
		<ol class="breadcrumb">
			<li class="breadcrumb-item"><a href="<?php echo esc_url(home_url('/')) ?>"><i class="bi bi-house-door"></i> Home</a></li>
			<li class="breadcrumb-item active" aria-current="page"> Errore!
			<a href="<?php the_permalink();?>"><?php the_title (); ?></a></li>
		</ol>
	</nav>
	<div class="col-10  md-auto">
		<section class="error-404 not-found">
			<header>
				<h1 style="text-align:center;"><?php esc_html_e( '404 non trovata..', 'palmiword' ); ?><hr></h1>
			</header>
        </section>
	</div>
</div>
<?php get_footer();