<?php
/**
   * palmiword Theme Customizer template
   * 
   * Copyright (c) 2022 Giancarlo P.
   *
   * @package palmiword
   */
?>

</div><h5 id="primary" class="avviso-fronted">
<?php echo esc_html(get_theme_mod('text_business','Benvenuti'));?>
</h5>
<?php if( get_theme_mod( 'show_hide','1' ) == '') { ?>
<div class="div-businessTag-style">
    <?php $sticky = get_option( 'sticky_posts' );
    $args = array(
        'posts_per_page' => 3,
        'post__in'  => $sticky,
        'ignore_sticky_posts' => 1
    );
    $query = new WP_Query( $args );
        if ( $sticky[0] ) {
    ?>
    <div class="row">
        <?php while ( $query->have_posts()) :  $query->the_post(); ?>
        <div class="col-md-4">
          <div class="ultra-card-style">
            <div class="img-front-style">
                <a href="<?php the_permalink();?>">
                <?php if ( has_post_thumbnail() ) { the_post_thumbnail('palmiword-img-style-evi');
                } else {
                  echo '<img src="' . esc_url(get_stylesheet_directory_uri()). '/image/senzaimmagine.jpg " />';
                } ?>
                </a>
                <div class="card-ov">
                <a href="<?php the_permalink();?>"><?php the_title();?></a>
                <br>
                <span><i class="bi bi-bookmark"></i> <?php the_category(', ');?></span>
                </div>
              </div>
            </div>
          </div>
        <?php endwhile; wp_reset_postdata();?>
    </div>
</div>
<?php } ?>
<?php } ?>
</div>
<div  class="container">
    <div class="row">
        <?php if( get_theme_mod( 'align_sidebar' ) == 'left') { ?>
        <div class="spaccing sidebar-sx  col-sm-3">
            <?php get_sidebar('left');?>
        </div>
        <?php } //end if ?>
        <div class="col-md-9">
           <div class="silp col">
                    <?php if (have_posts()) : ?>
                    <?php while (have_posts()) : the_post(); ?>
                    <?php the_content()?>
                    <?php endwhile; ?>
                    <?php endif; ?>
                </div>
            <?php $flex = 0;
            $mosaico = new WP_Query(array( 
            'type' => 'post',
            'posts_per_page' => 10,
            'ignore_sticky_posts' => 1,
            'post__not_in' => get_option( 'sticky_posts' ),
            )); 
            if( $mosaico->have_posts()) :
            while ($mosaico->have_posts()) : $mosaico->the_post(); $flex++;
            $align = ($flex % 2 == 1) ? 'sx' : 'dx';
            $col = ($flex % 2 == 1) ? 'backgd' : 'backgu';
            ?>
            <div class="box">
             <div class="<?php echo esc_html($col);?>">
                <div class="sistem">
                    <div class="dinamic-img">
                        <?php if(!empty(get_the_post_thumbnail()) ){ 
                         echo get_the_post_thumbnail(get_the_ID(), 'full', array('class' => $align ));
                        } else { 
                         echo '<img src="'. esc_html(get_stylesheet_directory_uri()). '/image/senzaimmagine.jpg" class="'.esc_html($align).'"/>';
                        } ?>
                    </div>
                    <?php $archive_year  = get_the_time( 'Y' ); $archive_month = get_the_time( 'm' ); $archive_day   = get_the_time( 'd' );?>
                    <div class="float-texto">
                        <div class="puro">
                            <h1 class="tit"><a href="<?php the_permalink();?>"><?php the_title();?></a></h1>
                            <?php echo esc_html(wp_trim_words(get_the_excerpt(), 20)); ?><hr>
                            <div class="dis-nam">
                            <a  class="btnlegg" href="<?php the_permalink();?>">Leggi</a>
                            <i class="bi bi-person"></i> Di:
                            <a href="<?php echo esc_url(get_author_posts_url($post->post_author));?>">
                            <?php the_author_meta('display_name', $post->post_author); ?></a>
                            <i class="bi bi-calendar"></i>
                            <a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ); ?>">
                            <?php the_time(get_option('date_format')); ?></a>
                    </div><hr>
                        </div>
                    </div>
                </div>
             </div>
            </div>
            <?php endwhile; wp_reset_postdata(); ?>
            <?php endif; ?>
            </div>
            <div class="spaccing sidebar-dx  col-sm-3">
            <?php get_sidebar('right');?>
            </div>
            </div>
            </div>
            <div class="background-personal">
                <div class="container">
                <!-- campo vuoto -->
                </div>
            </div>
        <?php get_footer();?>
    </div>
